Quassel IRC - Bug #1139

oident implementation breaks windows builds
02/20/2012 11:48 AM - cpuesser

Status: Resolved Start date: 02/20/2012
Priority: Normal Due date:

Assignee: al % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.8.0

Version: 0.8-pre 0S: Windows
Description

The Windows build of the 0.8-beta1 does not compile
The error is the following:

[ 21%)] Building CXX object src/core/CMakeFiles/mod_core.dir/oidentdconfiggenerator.cpp.obj

oidentdconfiggenerator.cpp

D:\Neuer Ordner\quassel\src\core\oidentdconfiggenerator.cpp(105)
D:\Neuer Ordner\quassel\src\core\oidentdconfiggenerator.cpp(105)
'prev_umask'

D:\Neuer Ordner\quassel\src\core\oidentdconfiggenerator.cpp(105)
: error C2065:
:error C2146:

: error C2065:
s error G2065:
: error C2065:
: error C2065:
: error C2065:
: error C2065:
: error C3861:
: error C2065:
s error C3861:

'mode_t": nichtdeklarierter Bezeichner
Syntaxfehler: Fehlendes ';' vor Bezeichner

'‘prev_umask': nichtdeklarierter Bezeichner
'S_IXUSR?'": nichtdeklarierter Bezeichner
'S_IWGRP': nichtdeklarierter Bezeichner
'S_IXGRP': nichtdeklarierter Bezeichner
'S_IWOTH': nichtdeklarierter Bezeichner
'S_IXOTH': nichtdeklarierter Bezeichner
"umask": Bezeichner wurde nicht gefunden.
'prev_umask': nichtdeklarierter Bezeichner
"umask": Bezeichner wurde nicht gefunden.

NMAKE : fatal error U1077: "C:\PROGRA~2\MICROS~2.0\VC\bin\amd64\cl.exe": Riickgabe-Code "0x2"

Stop.

NMAKE : fatal error U1077: ""C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\amd64\nmake.exe"": Riickgabe-Code

II0X2II
Stop.

NMAKE : fatal error U1077: ""C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\amd64\nmake.exe"": Rickgabe-Code

"Ox2"
Stop.

Associated revisions

Revision 26ab99ecabdbff2c7b66dc28039fe904bbce0520 - 02/22/2012 01:40 AM - al

let CMake check for umask()

Fixes #1139

Revision 26ab99ec - 02/22/2012 01:40 AM - al
let CMake check for umask()

Fixes #1139

Revision b2034ad5df2d6bf6b7a40899083a16909193912e - 02/28/2012 12:08 AM - al

don't use umask on Windows

Fixes #1139

Revision b2034ad5 - 02/28/2012 12:08 AM - al

don't use umask on Windows

Fixes #1139

History

#1 - 02/20/2012 01:15 PM - cpuesser
- File 0001-fix-oidentconfigger-build-under-windows.patch added

Seems even like the whole module shouldn't be build under windows, as there is no oident build.
If it should be possible to build the config anyway i.e. for a linux router in the network the attached patch should work.

#2 - 02/20/2012 02:18 PM - cpuesser
- File 0001-fix-oidentconfigger-build-under-windows.patch added

Sorry, but in the first one the permissions for the umask were wrong.

#3 - 02/22/2012 01:49 AM - al
- Status changed from New to Assigned
- Assignee set to al

- % Done changed from 0 to 100

#4 - 02/27/2012 11:46 PM - Anonymous

- Status changed from Assigned to Resolved

Applied in changeset 26ab99ecabdbff2c7b66dc28039fe904bbce0520.

#5 - 02/28/2012 12:06 AM - cpuesser

- Status changed from Resolved to Feedback

Sorry, but that doesn't fix the build,
umask is known under windows but there are two things.
At first umask is in windows deklared in the io.h

and the masks are named different under windows, so it doesn't build at all.

D:\Neuer Ordner\quassel\src\core\core.cpp(83) : error C2065: 'S_IRWXG': nichtdeklarierter Bezeichner
D:\Neuer Ordner\quassel\src\core\core.cpp(83) : error C2065: 'S_IRWXQ': nichtdeklarierter Bezeichner
D:\Neuer Ordner\quassel\src\core\core.cpp(83) : error C3861: "umask": Bezeichner wurde nicht gefunden.

#6 - 02/29/2012 06:18 AM - Anonymous

- Status changed from Feedback to Resolved

Applied in changeset b2034ad5df2d6bf6b7a40899083a16909193912e¢.

#7 - 02/29/2012 09:38 AM - cpuesser
Thank, builds and works.

Files

0001-fix-oidentconfigger-build-under-windows.patch 2.06 KB 02/20/2012 cpuesser

0001-fix-oidentconfigger-build-under-windows.patch 1.85 KB 02/20/2012 cpuesser
